MPTCPD(8)

NAME
mptcpd - multipath TCP daemon

SYNOPSIS
mptcpd [-d?V] [-l DEST] [--debug] [--addr-flags=FLAGS] [--notify-flags=FLAGS] [--plugin-dir=DIR] [--path-manager=PLUGIN] [--load-plugins=PLUGINS] [--help] [--usage] [--log=DEST] [--version]

DESCRIPTION
mptcpd is a daemon for Linux based operating systems that performs multipath TCP (see IETF RFC 8684) path management related operations in the user space. It interacts with the Linux kernel through a generic netlink connection to track per-connection information, available network interfaces, request new MPTCP subflows, handle requests for subflows, etc.

OPTIONS
mptcpd accepts the following command line options:

-d,--debug
    enable debug log messages

-?,--help
    display mptcpd help information

--usage
    display brief mptcpd usage information

-l DEST, --log=DEST
    log output to DEST, where DEST can be stderr, syslog or journal

--addr-flags=FLAGS
    set flags for announced address, where FLAGS is a comma separated list containing one or more of the flags subflow, signal, backup, and fullmesh that plugins that deal with the in-kernel path manager may use when advertising addresses, e.g. --addr-flags=subflow

--notify-flags=FLAGS
    address notification flags, where FLAGS is a comma separated list containing one or more of the following flags:

    existing
        notify plugins of the addresses that exist at mptcpd start

    skip_link_local
        ignore (do not notify) [ipv6] link local address updates

    skip_loopback
        ignore (do not notify) host (loopback) address updates

    check_route
        notify address only if a default route is available from such address and the related device. If the route check fails, it will be re-done after a little timeout, to allow e.g. DHCP to configure the host properly. Complex policy routing configuration may confuse or circumvent this check.

    These flags determine whether mptpcd plugins will be notified when related addresses are updated, e.g. --notify-flags=existing,skip_link_local,skip_loopback,check_route

--plugin-dir=DIR
    set plugin directory to DIR

--path-manager=PLUGIN
    set default path manager plugin to PLUGIN, overriding plugin priorities

--load-plugins=PLUGINS
    set plugins to load on startup, where PLUGINS is a comma separated list containing one or more plugin names

-V,--version
    display mptcpd version information

FILES

/etc/mptcpd/mptcpd.conf
    Location of the mptcpd system configuration file.

REPORTING BUGS
Report bugs to mptcp@lists.linux.dev.

SEE ALSO
ip-mptcp(8)